This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 187577 - Wrong node getting fenced
Wrong node getting fenced
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 23:50 EST by Henry Harris
Modified: 2009-04-16 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 15:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henry Harris 2006-03-31 23:50:23 EST
Description of problem:
On a three node cluster, if I down the heartbeat port on node1, I expect the 
other two nodes to detect the missing heartbeat on fence node1.  I tried this 
and node 2 got fenced instead.

Version-Release number of selected component (if applicable):
fence-1.32.18-0

How reproducible:
Only tried once

Steps to Reproduce:
1. Bring up a three node cluster
2. Use ifdown to disable the ethernet port for node 1's heartbeat connection
3. Observe node 2 getting fenced
  
Actual results:
Node 2 got fenced

Expected results:
Node 1 should be fenced

Additional info:
Comment 1 Fedora Update System 2006-04-04 12:12:06 EDT
bind-9.3.2-16.FC5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Henry Harris 2006-04-06 15:50:08 EDT
bind-9.3.2-12.FC5 is the latest version available at fedora.redhat.com.  Can 
you tell me where I can get the -16 version?  Also, could this explain the 
problems I am still having calling a bash script for my custom fencing method?
Comment 3 Jim Parsons 2006-05-15 14:35:45 EDT
I have not been able to reproduce this problem -- is this still an issue?
Comment 4 Henry Harris 2006-05-15 15:18:04 EDT
No, we have not reproduced this problem and do not consider it an issue.

Note You need to log in before you can comment on or make changes to this bug.